<?php

declare(strict_types=1);

namespace Drupal\pm\Service;

/**
 * @todo Add interface description.
 */
interface PmKeyInterface {

  /**
   * For a given project prefix, generate next key.
   *
   * @param string $prefix
   *  The prefix for which the key must be generated for.
   *
   * @return string
   *  The generated key.
   */
  public function generateNextKey(string $prefix): string;

  /**
   * Implements hook_entity_presave().
   *
   * @param \Drupal\Core\Entity\EntityInterface $entity
   *   The entity object that needs to be acted upon.
   */
  public function handleEntityPresave(\Drupal\Core\Entity\EntityInterface $entity): void;

}
